#ifdef ARC_NONE_INPUT

#include "arc/input/keyboard.h"
#include <stdio.h>

void ARC_Keyboard_CreateWithInput(ARC_Keyboard **keyboard, ARC_Input *input){
    printf("No Input Backend Selected\n");
}

void ARC_Keyboard_Destroy(ARC_Keyboard *keyboard){
    printf("No Input Backend Selected\n");
}

void ARC_Keyboard_Update(ARC_Keyboard *keyboard){
    printf("No Input Backend Selected\n");
}

ARC_KeyboardState ARC_Keyboard_GetState(ARC_Keyboard *keyboard, enum ARC_KeyboardKey key){
    printf("No Input Backend Selected\n");
    return ARC_KEY_NONE;
}

#endif // !ARC_NONE_INPUT